Bug 1300245 - hosted-engine setup proposes as a default to use all the available RAM for the engine VM also if bigger than the value in the appliance OVF
hosted-engine setup proposes as a default to use all the available RAM for th...
Status: CLOSED CURRENTRELEASE
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: Plugins.General (Show other bugs)
1.3.2.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.3
: 1.3.3.1
Assigned To: Rafael Martins
Artyom
: Triaged
Depends On:
Blocks: 1305885
  Show dependency treegraph
 
Reported: 2016-01-20 05:44 EST by Simone Tiraboschi
Modified: 2016-02-18 06:22 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Comparison of memory values stored as string and integer. Consequence: hosted-engine-setup proposes as a default to use all the available RAM for the engine VM also if bigger than the value in the appliance OVF. Fix: Always convert memory values to integer before using for comparisons. Result: hosted-engine-setup proposes reasonable values of memory.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:22:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: exception+
ylavi: planning_ack+
dfediuck: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 52525 master MERGED packaging: setup: ensure that memory is always stored as integer 2016-01-22 04:55 EST
oVirt gerrit 52593 ovirt-hosted-engine-setup-1.3 MERGED packaging: setup: ensure that memory is always stored as integer 2016-02-02 11:24 EST

  None (edit)
Description Simone Tiraboschi 2016-01-20 05:44:23 EST
Description of problem:
hosted-engine setup proposes as a default to use all the available RAM for the engine VM also if bigger than the value in the appliance OVF.

Example:
256 GB host, 16 GB recommended in the engine-appliance OVF:
Please specify the memory size of the VM in MB [Defaults to maximum available: 255067]: 


Version-Release number of selected component (if applicable):
1.3.2.2

How reproducible:
100%

Steps to Reproduce:
1. hosted-engine --deploy on a system with more than 16GB of RAM
2.
3.

Actual results:
Please specify the memory size of the VM in MB [Defaults to maximum available: 255067]: 

Expected results:
Please specify the memory size of the VM in MB [Defaults to appliance OVF value: 16384]: 

Additional info:

Probably is the result of a string vs integer comparison.
Please ensure that we are always handling it as an integer (also if the user enters a custom value and we gather it via dialog.queryEnvKey )
Comment 1 Artyom 2016-02-17 08:20:40 EST
Verified on ovirt-hosted-engine-setup-1.3.3.3-1.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.